***Do-File Eher anhaltende Polarisierung als vorübergehende Verstimmung
***Harald Schoen und Konstantin Gavras

clear
clear matrix
clear mata
set maxvar 30000

*Arbeitsverzeichnis festlegen und Daten darin speichern
cd "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise"

***Abbildung 1
import excel "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\Zufrieden_Reg.xlsx", sheet("Sheet1") firstrow clear

format reg_rescale2 cdu_rescale2 spd_rescale2 %04.2f 3.2

tsset date, daily
twoway tsline reg_rescale2 cdu_rescale2 spd_rescale2, ///
	sort legend(label(1 "Regierung") label(2 "CDU/CSU") label(3 "SPD") rows(1)) xtitle("Datum") ///
	ytitle("Bewertung") graphregion(color(white)) scheme(s2mono) name(bewert_polit,replace) ylabel(0.3 (0.1) 0.7) ///
	tlabel(01jan2014 "1Jan2014" 01jul2014 "1Jul2014" 01jan2015 "1Jan2015" 01jul2015 "1Jul2015" 01jan2016 "1Jan2016" 01jul2016 "1Jul2016" 01jan2017 "1Jan2017" 01jul2017 "1Jul2017") ///
	ylabel(0.30 ",3" 0.40 ",4" 0.50 ",5" 0.60 ",6" 0.70 ",7")

graph export bewert_polit.tif,replace  width(1000)
	
save "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\Zufrieden_Reg_Polit.dta",replace


*** Um die Analysen aus diesem Do-File zu replizieren werden die gemergten Daten der GLES 2013-2017 benötigt
*** Diese sind unter https://www.gesis.org/wahlen/gles/daten/ erhältlich
 
use "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\WKP2013-2018.dta",clear



*Abbildung 2

*------------------------------------------------------------------------------
* Parteienskalometer
*------------------------------------------------------------------------------

forvalues i = 1/13 {
	mvdecode kp`i'_430a, mv(-99/-1)
	mvdecode kp`i'_430b, mv(-99/-1)
	mvdecode kp`i'_430c, mv(-99/-1)
	mvdecode kp`i'_430d, mv(-99/-1)
	mvdecode kp`i'_430e, mv(-99/-1)
	mvdecode kp`i'_430f, mv(-99/-1)
	mvdecode kp`i'_430i, mv(-99/-1)
	
	gen b_cdu`i'=(kp`i'_430a-1)/10
	gen b_csu`i'=(kp`i'_430b-1)/10
	gen b_spd`i'=(kp`i'_430c-1)/10
	gen b_fdp`i'=(kp`i'_430d-1)/10
	gen b_gru`i'=(kp`i'_430e-1)/10
	gen b_lin`i'=(kp`i'_430f-1)/10
	gen b_afd`i'=(kp`i'_430i-1)/10
}

********** Bewertung Regierung **********

forvalues i = 1/13 {
	mvdecode kp`i'_730, mv(-99/-1)
	gen b_reg`i'=(kp`i'_730-1)/10
	}
forvalues i = 9/13 {
	mvdecode kp`i'_731a, mv(-99/-1)
	mvdecode kp`i'_731b, mv(-99/-1)
	mvdecode kp`i'_731c, mv(-99/-1)
	gen b_regcdu`i'=(kp`i'_731a-1)/10
	gen b_regcsu`i'=(kp`i'_731b-1)/10
	gen b_regspd`i'=(kp`i'_731c-1)/10
}

*Grafik Bewertung Regierung
forvalues i = 8/13{
	egen m_b_reg`i' = mean(b_reg`i')
	}

forvalues i = 9/13{
	egen m_b_regcdu`i' = mean(b_regcdu`i')
	egen m_b_regcsu`i' = mean(b_regcsu`i')
	egen m_b_regspd`i' = mean(b_regspd`i')
	}
		
	
forvalues i = 8/13{
	egen m_b_cdu`i' = mean(b_cdu`i')
	egen m_b_csu`i' = mean(b_csu`i')
	egen m_b_spd`i' = mean(b_spd`i')
	}

	
gen m_b_regcdu8 = .
gen m_b_regcsu8 = .
gen m_b_regspd8 = .

keep m_b_reg* m_b_*
keep in 1

gen id=1

reshape long m_b_reg m_b_regcdu m_b_regcsu m_b_regspd m_b_cdu m_b_csu m_b_spd, i(id) j(wave)

gen str date = "."

replace date = "21.10.2014" if wave==8
replace date = "15.10.2015" if wave==9
replace date = "24.10.2016" if wave==10
replace date = "28.02.2017" if wave==11
replace date = "15.05.2017" if wave==12
replace date = "15.07.2017" if wave==13

gen edate = date(date, "DMY")

format m_b_* %04.2f 3.2

save "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\Zufrieden_Reg_WKP.dta",replace

use "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\Zufrieden_Reg_WKP.dta",clear

tsset edate, daily
twoway tsline m_b_reg m_b_cdu m_b_csu m_b_spd, ///
	sort legend(label(1 "Regierung") label(2 "CDU") label(3 "CSU") label(4 "SPD") rows(1)) xtitle("Datum") ///
	ytitle("Bewertung") graphregion(color(white)) scheme(s2mono) name(bewert_wkp,replace) ylabel(0.3 (0.1) 0.7)  ///
	tlabel(01jul2014 "1Jul2014" 01jan2015 "1Jan2015" 01jul2015 "1Jul2015" 01jan2016 "1Jan2016" 01jul2016 "1Jul2016" 01jan2017 "1Jan2017" 01jul2017 "1Jul2017") ///
	ylabel(0.30 ",3" 0.40 ",4" 0.50 ",5" 0.60 ",6" 0.70 ",7")
graph export bewert_wkp.tif,replace width(1000)

*twoway tsline m_b_reg m_b_regcdu m_b_regcsu m_b_regspd, sort tline(01oct2015)

save "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\Zufrieden_Reg_WKP.dta",replace


use "C:\Users\kgavras\Documents\Projects\Aufsatz Flüchtlingskrise\WKP2013-2018.dta",clear


*------------------------------------------------------------------------------
* Parteienskalometer
*------------------------------------------------------------------------------

forvalues i = 1/13 {
	mvdecode kp`i'_430a, mv(-99/-1)
	mvdecode kp`i'_430b, mv(-99/-1)
	mvdecode kp`i'_430c, mv(-99/-1)
	mvdecode kp`i'_430d, mv(-99/-1)
	mvdecode kp`i'_430e, mv(-99/-1)
	mvdecode kp`i'_430f, mv(-99/-1)
	mvdecode kp`i'_430i, mv(-99/-1)

	gen b_cdu`i'=(kp`i'_430a-1)/10
	gen b_csu`i'=(kp`i'_430b-1)/10
	gen b_spd`i'=(kp`i'_430c-1)/10
	gen b_fdp`i'=(kp`i'_430d-1)/10
	gen b_gru`i'=(kp`i'_430e-1)/10
	gen b_lin`i'=(kp`i'_430f-1)/10
	gen b_afd`i'=(kp`i'_430i-1)/10
}


********** Bewertung Regierung **********

forvalues i = 1/13 {
	mvdecode kp`i'_730, mv(-99/-1)
	gen b_reg`i'=(kp`i'_730-1)/10
	}
forvalues i = 9/13 {
	mvdecode kp`i'_731a, mv(-99/-1)
	mvdecode kp`i'_731b, mv(-99/-1)
	mvdecode kp`i'_731c, mv(-99/-1)
	gen b_regcdu`i'=(kp`i'_731a-1)/10
	gen b_regcsu`i'=(kp`i'_731b-1)/10
	gen b_regspd`i'=(kp`i'_731c-1)/10
}

*------------------------------------------------------------------------------
* Skalometer Politiker
*------------------------------------------------------------------------------

forvalues i = 1/13 {
mvdecode kp`i'_650a, mv(-99/-1)
gen merkel`i'=(kp`i'_650a-1)/10
}

*------------------------------------------------------------------------------
* Wahlbeteiligung - Dummy
*------------------------------------------------------------------------------
foreach i in 1 2 3 4 5 6 8 9 10 11 12 13{
	recode kp`i'_170 (1 2 3 6=1) (4 5=0) (-99/-1 = .), gen(wahlabs`i')
}

recode kp7_180 (6=1)(2=0)(-99/-1 = .), gen(wahlabs7)


*------------------------------------------------------------------------------
* Parteienwahl - Zweitstimme
*------------------------------------------------------------------------------

foreach i in 1 2 3 4 5 6 8 9 10 11 12 13 {
recode kp`i'_190ba (215 206 800=801) (808=.l) (-99/-1 = .)
}
foreach i in 1 2 3 4 5 6 {
recode kp`i'_190ba (-99/-1 = .)
recode kp`i'_190ba (801=322) if kp`i'_190bb==322
}
foreach i in 1 2 3 4 5 6 8 9 10 11 12 13 {
clonevar wahl`i'=kp`i'_190ba
replace wahl`i'=0 if wahlabs`i'==0
lab def `:value label wahl`i'' 0 "Nichtwahl", modify
}

** Briefwähler ***

foreach i in 3 4 5 6 7 {
clonevar bwahl`i'=kp`i'_191ba
recode bwahl`i' (-99/-1 = .)
recode bwahl`i' (801=322) if kp`i'_191bb==322
}

foreach i in 7 {
clonevar wahl`i'=kp`i'_200ba
recode wahl`i' (-99/-1 = .)
recode wahl`i' (801=322) if kp`i'_200bb==322
replace wahl`i'=0 if wahlabs`i'==0
lab def `:value label wahl`i'' 0 "Nichtwahl", modify
}

fre wahl7
replace wahl7=bwahl3 if bwahl3>0 & bwahl3<802
replace wahl7=bwahl4 if bwahl4>0 & bwahl4<802
replace wahl7=bwahl5 if bwahl5>0 & bwahl5<802
replace wahl7=bwahl6 if bwahl6>0 & bwahl6<802
replace wahl7=bwahl7 if bwahl7>0 & bwahl7<802
fre wahl7

foreach i in 1 2 3 4 5 6 8 9 10 11 12 13 {
clonevar wahla`i'=wahl`i'
replace wahla`i'=899 if kp`i'_190ba==.b
}

foreach i in 7 {
clonevar wahla`i'=wahl`i'
replace wahla`i'=899 if kp`i'_200ba==.b
}


fre wahla7


*------------------------------------------------------------------------------
* Parteiidentifikation
*------------------------------------------------------------------------------

foreach i in 1 3 5 7 {
	recode kp`i'_2090a (2 3=1) (-99/-1 = .)
	replace kp`i'_2090a=322 if kp`i'_2090b==322
}
foreach i in 8 9 10 11 12 13 {
	recode kp`i'_2090a (800 206 215=801) (-99/-1 = .)
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
gen strength`i'=(kp`i'_2100-1)/4
replace strength`i'=(strength`i'-1)*-1
}
	

* Multiple PID
recode kp9_2095a (800=801) (810=808) (-99/-1 = .)
foreach i in 9 10 11 12 13 {
gen mstrength`i'=(kp`i'_2101-1)/4
replace mstrength`i'=(mstrength`i'-1)*-1
}


foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen unionpids`i'=0 if !missing(kp`i'_2090a)
	replace unionpids`i'=strength`i' if kp`i'_2090a==1
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen spdpids`i'=0 if !missing(kp`i'_2090a)
	replace spdpids`i'=strength`i' if kp`i'_2090a==4
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen fdppids`i'=0 if !missing(kp`i'_2090a)
	replace fdppids`i'=strength`i' if kp`i'_2090a==5
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen grupids`i'=0 if !missing(kp`i'_2090a)
	replace grupids`i'=strength`i' if kp`i'_2090a==6
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen linpids`i'=0 if !missing(kp`i'_2090a)
	replace linpids`i'=strength`i' if kp`i'_2090a==7
}
foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen afdpids`i'=0 if !missing(kp`i'_2090a)
	replace afdpids`i'=strength`i' if kp`i'_2090a==322
}

foreach i in 1 3 5 7 8 9 10 11 12 13 {
	gen unionpid`i'=0 if !missing(kp`i'_2090a)
	replace unionpid`i'=1 if kp`i'_2090a==1
	gen spdpid`i'=0 if !missing(kp`i'_2090a)
	replace spdpid`i'=1 if kp`i'_2090a==4
	gen fdppid`i'=0 if !missing(kp`i'_2090a)
	replace fdppid`i'=1 if kp`i'_2090a==5
	gen grupid`i'=0 if !missing(kp`i'_2090a)
	replace grupid`i'=1 if kp`i'_2090a==6
	gen linpid`i'=0 if !missing(kp`i'_2090a)
	replace linpid`i'=1 if kp`i'_2090a==7
	gen afdpid`i'=0 if !missing(kp`i'_2090a)
	replace afdpid`i'=1 if kp`i'_2090a==322
}


****************************************************************************************************************************
************Kodierung Übergang 2014-(2015-2016)-2017
****************************************************************************************************************************

*Tabelle 1

*Regierungsbewertung
*Krisen- und Nachkrisenzeitpunkt
egen b_reg16=rowmean(b_reg9 b_reg10)
egen b_reg17=rowmean(b_reg11 b_reg12 b_reg13)


gen patreg1=0  if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1
replace patreg1=5 if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1 & b_reg8==b_reg9 & b_reg8==b_reg10 & b_reg8==b_reg11 & ///
	b_reg8==b_reg12 & b_reg8==b_reg13
replace patreg1=1 if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1 & b_reg8>b_reg16 & b_reg17<b_reg8
replace patreg1=3 if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1 & b_reg8<b_reg16 & b_reg17>b_reg8 
replace patreg1=2 if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1 & b_reg16<b_reg8 &  b_reg17>=b_reg8 
replace patreg1=4 if b_reg8<=1 & b_reg9<=1 & b_reg10<=1 & b_reg11<=1 & ///
	b_reg12<=1 & b_reg13<=1 & b_reg16>b_reg8 & b_reg17<=b_reg8 

	
*CDU
*Krisen- und Nachkrisenzeitpunkt
egen b_cdu16=rowmean(b_cdu9 b_cdu10)
egen b_cdu17=rowmean(b_cdu11 b_cdu12 b_cdu13)


gen patcdu1=0  if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1
replace patcdu1=5 if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1 & b_cdu8==b_cdu9 & b_cdu8==b_cdu10 & b_cdu8==b_cdu11 & ///
	b_cdu8==b_cdu12 & b_cdu8==b_cdu13
replace patcdu1=1 if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1 & b_cdu8>b_cdu16 & b_cdu17<b_cdu8
replace patcdu1=3 if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1 & b_cdu8<b_cdu16 & b_cdu17>b_cdu8 
replace patcdu1=2 if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1 & b_cdu16<b_cdu8 &  b_cdu17>=b_cdu8 
replace patcdu1=4 if b_cdu8<=1 & b_cdu9<=1 & b_cdu10<=1 & b_cdu11<=1 & ///
	b_cdu12<=1 & b_cdu13<=1 & b_cdu16>b_cdu8 & b_cdu17<=b_cdu8 

*CSU
*Krisen- und Nachkrisenzeitpunkt
egen b_csu16=rowmean(b_csu9 b_csu10)
egen b_csu17=rowmean(b_csu11 b_csu12 b_csu13)


gen patcsu1=0  if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1
replace patcsu1=5 if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1 & b_csu8==b_csu9 & b_csu8==b_csu10 & b_csu8==b_csu11 & ///
	b_csu8==b_csu12 & b_csu8==b_csu13
replace patcsu1=1 if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1 & b_csu8>b_csu16 & b_csu17<b_csu8
replace patcsu1=3 if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1 & b_csu8<b_csu16 & b_csu17>b_csu8 
replace patcsu1=2 if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1 & b_csu16<b_csu8 &  b_csu17>=b_csu8 
replace patcsu1=4 if b_csu8<=1 & b_csu9<=1 & b_csu10<=1 & b_csu11<=1 & ///
	b_csu12<=1 & b_csu13<=1 & b_csu16>b_csu8 & b_csu17<=b_csu8 
	

*SPD
*Krisen- und Nachkrisenzeitpunkt
egen b_spd16=rowmean(b_spd9 b_spd10)
egen b_spd17=rowmean(b_spd11 b_spd12 b_spd13)

gen patspd1=0  if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1
replace patspd1=5 if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1 & b_spd8==b_spd9 & b_spd8==b_spd10 & b_spd8==b_spd11 & ///
	b_spd8==b_spd12 & b_spd8==b_spd13
replace patspd1=1 if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1 & b_spd8>b_spd16 & b_spd17<b_spd8
replace patspd1=3 if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1 & b_spd8<b_spd16 & b_spd17>b_spd8 
replace patspd1=2 if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1 & b_spd16<b_spd8 &  b_spd17>=b_spd8 
replace patspd1=4 if b_spd8<=1 & b_spd9<=1 & b_spd10<=1 & b_spd11<=1 & ///
	b_spd12<=1 & b_spd13<=1 & b_spd16>b_spd8 & b_spd17<=b_spd8 


label define pattern 0 "Residual" 1 "Abstieg" 2 "Abstieg und Erholung" 3 "Anstieg" 4 "Anstieg und Abstieg" 5 "Konstanz",replace
label value pat* pattern

tab1 pat*

**** Gewichtung nach Parteiwahl 2013 *********

gen include1=0
replace include1=1 if wahla7>-1 & wahla7<802 & b_reg8<=1 & b_reg9<=1 & b_reg10<=1 ///
& b_reg11<=1 & b_reg12<=1 & b_reg13<=1
fre include1

fre wahla7 if include1==1

gen gew_w13=29.5/7.7 if wahla7==0
replace gew_w13=29.7/22.9 if wahla7==1
replace gew_w13=18.4/27.5 if wahla7==4
replace gew_w13=3.4/4.8 if wahla7==5
replace gew_w13=6/8.3 if wahla7==6
replace gew_w13=6.1/14.8 if wahla7==7
replace gew_w13=3.4/7.1 if wahla7==322
replace gew_w13=4.5/6.9 if wahla7==801
fre gew_w13

mean b_reg8 b_reg9 b_reg10 b_reg11 b_reg12 b_reg13 [aw=gew_w13]
fre patreg1 [aw=gew_w13]


tabulate wahla7 patcsu1, sum (b_csu16) nost noo


**** Prädiktoren ****

forvalues i = 1/7{
mvdecode kp`i'_1130, mv(-99/-1)
mvdecode kp`i'_1090, mv(-99/-1)
}

foreach i in 3 6{
mvdecode kp`i'_1210, mv(-99/-1)
}


egen immig=rowmean(kp1_1130 kp2_1130 kp3_1130 kp4_1130 kp5_1130 kp6_1130 kp7_1130)
egen sozio=rowmean(kp1_1090 kp2_1090 kp3_1090 kp4_1090 kp5_1090 kp6_1090 kp7_1090)

egen integ=rowmean(kp3_1210 kp6_1210)
fre immig integ sozio

recode kpx_2320 (1 2=2) (3=3) (4 5 9=5) (-99/-1=.)
fre kpx_2320


*Korrelationen
foreach i of numlist 9/13 {
pwcorr b_cdu`i' b_regcdu`i',sig
pwcorr b_csu`i' b_regcsu`i',sig
pwcorr b_spd`i' b_regspd`i',sig
}

foreach i of numlist 7/13 {
pwcorr b_cdu`i' b_csu`i',sig
}

foreach i of numlist 1/7{
pwcorr kp?_1130,sig
}

***Mit striktem Muster
*Immigration als Prädiktor
*Abbildung 3
mlogit patreg1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]

margins, at (immig= (1 (1) 7)) predict (outcome (1)) saving(file1,replace)
margins, at (immig= (1 (1) 7)) predict (outcome (3)) saving(file2,replace)

combomarginsplot file1 file2, labels("Abstieg" "Anstieg") xtitle("") ///
	ytitle("") graphregion(color(white)) scheme(s2mono) name(graph3a_1,replace) ylabel(0 (0.1) 0.5) ///
	ylabel(0 .1 ",1" .2 ",2" .3 ",3" .4 ",4" .5 ",5") title("Regierungsbewertung")



mlogit patcdu1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]

margins, at (immig= (1 (1) 7)) predict (outcome (1)) saving(file3,replace)
margins, at (immig= (1 (1) 7)) predict (outcome (3)) saving(file4,replace)

combomarginsplot file3 file4, labels("Abstieg" "Anstieg") xtitle("") ///
	ytitle("") graphregion(color(white)) scheme(s2mono) name(graph3b_1,replace) ylabel(0 (0.1) 0.5)  ///
	ylabel(0 .1 ",1" .2 ",2" .3 ",3" .4 ",4" .5 ",5") title("Bewertung CDU")



mlogit patcsu1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]

margins, at (immig= (1 (1) 7)) predict (outcome (1)) saving(file5,replace)
margins, at (immig= (1 (1) 7)) predict (outcome (3)) saving(file6,replace)

combomarginsplot file5 file6, labels("Abstieg" "Anstieg") xtitle("") ///
	ytitle("") graphregion(color(white)) scheme(s2mono) name(graph3c_1,replace) ylabel(0 (0.1) 0.5) ///
	ylabel(0 .1 ",1" .2 ",2" .3 ",3" .4 ",4" .5 ",5") title("Bewertung CSU")


mlogit patspd1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]

margins, at (immig= (1 (1) 7)) predict (outcome (1)) saving(file7,replace)
margins, at (immig= (1 (1) 7)) predict (outcome (3)) saving(file8,replace)

combomarginsplot file7 file8, labels("Abstieg" "Anstieg") xtitle("") ///
	ytitle("") graphregion(color(white)) scheme(s2mono) name(graph3d_1,replace) ylabel(0 (0.1) 0.5) ///
	ylabel(0 .1 ",1" .2 ",2" .3 ",3" .4 ",4" .5 ",5") title("Bewertung SPD")

	
grc1leg graph3a_1 graph3b_1 graph3c_1 graph3d_1, graphregion(color(white)) row(2) name(graph3,replace) l1(Wahrscheinlichkeit) b1(Einstellung Immigration) ring(4)
graph export graph3_1.tif, replace width(1000)



*Mit Kontrolle für Parteibindung
mlogit patreg1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320 unionpid7 spdpid7  [aw=gew_w13]
mlogit patcdu1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320 unionpid7  [aw=gew_w13]
mlogit patcsu1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320 unionpid7  [aw=gew_w13]
mlogit patspd1 sozio immig i.kpx_2280 kpx_2290 i.kpx_2320 spdpid7  [aw=gew_w13]


*Wahlverhalten als Prädiktor - mit striktem Muster
tab wahla7 patreg1, row
tab wahla7 patcdu1, row
tab wahla7 patcsu1, row
tab wahla7 patspd1, row

estimates clear
mlogit patreg1 i.wahla7 i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]
estimates store mlogit
foreach i in 1 3{
	margins, at(wahla7 = (0 1 4 5 6 7 322 801)) predict(outcome(`i')) post
	estimates store ame`i'
	quietly estimates restore mlogit
}
coefplot (ame1,label(Abstieg)) (ame3,label(Anstieg)), xline(0) ///
	coeflabel(1._at = "Nichtwahl" 2._at = "CDU/CSU" 3._at = "SPD" 4._at = "FDP" ///
	5._at = "Grüne" 6._at = "Die Linke" 7._at = "AfD" 8._at = "andere Partei") graphregion(color(white)) scheme(s2mono) xtitle(Wahrscheinlichkeit)
*graph export graph4_1.tif, replace width(1000)


mlogit patcdu1 i.wahla7 i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]
estimates store mlogit
foreach i in 1 3{
	margins, at(wahla7 = (0 1 4 5 6 7 322 801)) predict(outcome(`i')) post
	estimates store ame`i'
	quietly estimates restore mlogit
}
coefplot (ame1,label(Abstieg)) (ame3,label(Anstieg)), xline(0) ///
	coeflabel(1._at = "Nichtwahl" 2._at = "CDU/CSU" 3._at = "SPD" 4._at = "FDP" ///
	5._at = "Grüne" 6._at = "Die Linke" 7._at = "AfD" 8._at = "andere Partei") graphregion(color(white)) scheme(s2mono) xtitle(Wahrscheinlichkeit)
*graph export graph4_2.tif, replace width(1000)


mlogit patcsu1 i.wahla7 i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]
estimates store mlogit
foreach i in 1 3{
	margins, at(wahla7 = (0 1 4 5 6 7 322 801)) predict(outcome(`i')) post
	estimates store ame`i'
	quietly estimates restore mlogit
}
coefplot (ame1,label(Abstieg)) (ame3,label(Anstieg)), xline(0) ///
	coeflabel(1._at = "Nichtwahl" 2._at = "CDU/CSU" 3._at = "SPD" 4._at = "FDP" ///
	5._at = "Grüne" 6._at = "Die Linke" 7._at = "AfD" 8._at = "andere Partei") graphregion(color(white)) scheme(s2mono) xtitle(Wahrscheinlichkeit)
*graph export graph4_3.tif, replace width(1000)


mlogit patspd1 i.wahla7 i.kpx_2280 kpx_2290 i.kpx_2320  [aw=gew_w13]
estimates store mlogit
foreach i in 1 3{
	margins, at(wahla7 = (0 1 4 5 6 7 322 801)) predict(outcome(`i')) post
	estimates store ame`i'
	quietly estimates restore mlogit
}
coefplot (ame1,label(Abstieg)) (ame3,label(Anstieg)), xline(0) ///
	coeflabel(1._at = "Nichtwahl" 2._at = "CDU/CSU" 3._at = "SPD" 4._at = "FDP" ///
	5._at = "Grüne" 6._at = "Die Linke" 7._at = "AfD" 8._at = "andere Partei") graphregion(color(white)) scheme(s2mono) xtitle(Wahrscheinlichkeit)
*graph export graph4_4.tif, replace width(1000)






*Mittelwerte der Bewertungen nach Parteiwahl vor, während und nach der Krise
*Tabelle 2
foreach i in 1 4 5 6 7 322{
foreach j in 1 3{
ci means b_reg8 if wahla7==`i' & patreg1==`j'
ci means b_reg16 if wahla7==`i' & patreg1==`j'
ci means b_reg17 if wahla7==`i' & patreg1==`j'
}
}

foreach i in 1 4 5 6 7 322{
foreach j in 1 3{
ci means b_cdu8 if wahla7==`i' & patcdu1==`j'
ci means b_cdu16 if wahla7==`i' & patcdu1==`j'
ci means b_cdu17 if wahla7==`i' & patcdu1==`j'
}
}

foreach i in 1 4 5 6 7 322{
foreach j in 1 3{
ci means b_csu8 if wahla7==`i' & patcsu1==`j'
ci means b_csu16 if wahla7==`i' & patcsu1==`j'
ci means b_csu17 if wahla7==`i' & patcsu1==`j'
}
}

foreach i in 1 4 5 6 7 322{
foreach j in 1 3{
ci means b_spd8 if wahla7==`i' & patspd1==`j'
ci means b_spd16 if wahla7==`i' & patspd1==`j'
ci means b_spd17 if wahla7==`i' & patspd1==`j'
}
}
